---
- name: Install essential applications
  hosts: all
  become: true

  tasks:
    - name: Update apt cache
      apt:
        update_cache: true

    - name: Install essential packages
      apt:
        name:
          - build-essential
          - curl
          - git
          - vim
          - wget
          - acl
          - unzip
          - zip
          - shellcheck
          # - fastfetch
          - bc
          - zip
          - unzip
          - htop
          - jq
          - git
          - tar
          - sed
          - xterm
          - screen
          - sd
          - tmux
          - bat
          - iftop
          - qemu-guest-agent
        state: present